<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    var arr1 = ['A', 'B', 'C'];
    var arr2 = ['X', 'Y', 'Z'];

    var cloned_arr = [...arr1, ...arr2];
    console.log(cloned_arr);

    let fruits = ['Apple','Orange','Banana'];
    console.log({...fruits, name: "Cherry"});

    var obj1 = { id: 101, name: 'Jhon Doe' };
    var obj2 = { age: 25, country: 'USA'};

    var cloned_obj = {...obj1, ...obj2};
    console.log(cloned_obj);
</script>
</html>